# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7/build

#=============================================================================
# Directory level rules for the build root directory

# The main recursive "all" target.
all: third_party/all
all: shared/all
all: server/all
all: client/all
all: dbmanager/all
.PHONY : all

# The main recursive "codegen" target.
codegen: third_party/codegen
codegen: shared/codegen
codegen: server/codegen
codegen: client/codegen
codegen: dbmanager/codegen
.PHONY : codegen

# The main recursive "preinstall" target.
preinstall: third_party/preinstall
preinstall: shared/preinstall
preinstall: server/preinstall
preinstall: client/preinstall
preinstall: dbmanager/preinstall
.PHONY : preinstall

# The main recursive "clean" target.
clean: third_party/clean
clean: shared/clean
clean: server/clean
clean: client/clean
clean: dbmanager/clean
.PHONY : clean

#=============================================================================
# Directory level rules for directory _deps/nlohmann_json-build

# Recursive "all" directory target.
_deps/nlohmann_json-build/all:
.PHONY : _deps/nlohmann_json-build/all

# Recursive "codegen" directory target.
_deps/nlohmann_json-build/codegen:
.PHONY : _deps/nlohmann_json-build/codegen

# Recursive "preinstall" directory target.
_deps/nlohmann_json-build/preinstall:
.PHONY : _deps/nlohmann_json-build/preinstall

# Recursive "clean" directory target.
_deps/nlohmann_json-build/clean:
.PHONY : _deps/nlohmann_json-build/clean

#=============================================================================
# Directory level rules for directory client

# Recursive "all" directory target.
client/all: client/CMakeFiles/scarchat.dir/all
.PHONY : client/all

# Recursive "codegen" directory target.
client/codegen: client/CMakeFiles/scarchat.dir/codegen
.PHONY : client/codegen

# Recursive "preinstall" directory target.
client/preinstall:
.PHONY : client/preinstall

# Recursive "clean" directory target.
client/clean: client/CMakeFiles/scarchat.dir/clean
client/clean: client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/clean
client/clean: client/CMakeFiles/scarchat_autogen.dir/clean
.PHONY : client/clean

#=============================================================================
# Directory level rules for directory dbmanager

# Recursive "all" directory target.
dbmanager/all: dbmanager/CMakeFiles/dbmanager.dir/all
.PHONY : dbmanager/all

# Recursive "codegen" directory target.
dbmanager/codegen: dbmanager/CMakeFiles/dbmanager.dir/codegen
.PHONY : dbmanager/codegen

# Recursive "preinstall" directory target.
dbmanager/preinstall:
.PHONY : dbmanager/preinstall

# Recursive "clean" directory target.
dbmanager/clean: dbmanager/CMakeFiles/dbmanager.dir/clean
dbmanager/clean: dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/clean
dbmanager/clean: dbmanager/CMakeFiles/dbmanager_autogen.dir/clean
.PHONY : dbmanager/clean

#=============================================================================
# Directory level rules for directory server

# Recursive "all" directory target.
server/all: server/CMakeFiles/scarchat-server.dir/all
.PHONY : server/all

# Recursive "codegen" directory target.
server/codegen: server/CMakeFiles/scarchat-server.dir/codegen
.PHONY : server/codegen

# Recursive "preinstall" directory target.
server/preinstall:
.PHONY : server/preinstall

# Recursive "clean" directory target.
server/clean: server/CMakeFiles/scarchat-server.dir/clean
server/clean: server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/clean
server/clean: server/CMakeFiles/scarchat-server_autogen.dir/clean
.PHONY : server/clean

#=============================================================================
# Directory level rules for directory shared

# Recursive "all" directory target.
shared/all: shared/CMakeFiles/scarchat_shared.dir/all
.PHONY : shared/all

# Recursive "codegen" directory target.
shared/codegen: shared/CMakeFiles/scarchat_shared.dir/codegen
.PHONY : shared/codegen

# Recursive "preinstall" directory target.
shared/preinstall:
.PHONY : shared/preinstall

# Recursive "clean" directory target.
shared/clean: shared/CMakeFiles/scarchat_shared.dir/clean
shared/clean: shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/clean
shared/clean: shared/CMakeFiles/scarchat_shared_autogen.dir/clean
.PHONY : shared/clean

#=============================================================================
# Directory level rules for directory third_party

# Recursive "all" directory target.
third_party/all: third_party/CMakeFiles/argon2_lib.dir/all
third_party/all: _deps/nlohmann_json-build/all
.PHONY : third_party/all

# Recursive "codegen" directory target.
third_party/codegen: third_party/CMakeFiles/argon2_lib.dir/codegen
third_party/codegen: _deps/nlohmann_json-build/codegen
.PHONY : third_party/codegen

# Recursive "preinstall" directory target.
third_party/preinstall: _deps/nlohmann_json-build/preinstall
.PHONY : third_party/preinstall

# Recursive "clean" directory target.
third_party/clean: third_party/CMakeFiles/argon2_lib.dir/clean
third_party/clean: _deps/nlohmann_json-build/clean
.PHONY : third_party/clean

#=============================================================================
# Target rules for target third_party/CMakeFiles/argon2_lib.dir

# All Build rule for target.
third_party/CMakeFiles/argon2_lib.dir/all:
	$(MAKE) $(MAKESILENT) -f third_party/CMakeFiles/argon2_lib.dir/build.make third_party/CMakeFiles/argon2_lib.dir/depend
	$(MAKE) $(MAKESILENT) -f third_party/CMakeFiles/argon2_lib.dir/build.make third_party/CMakeFiles/argon2_lib.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=1,2,3,4,5,6,7 "Built target argon2_lib"
.PHONY : third_party/CMakeFiles/argon2_lib.dir/all

# Build rule for subdir invocation for target.
third_party/CMakeFiles/argon2_lib.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 7
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/CMakeFiles/argon2_lib.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : third_party/CMakeFiles/argon2_lib.dir/rule

# Convenience name for target.
argon2_lib: third_party/CMakeFiles/argon2_lib.dir/rule
.PHONY : argon2_lib

# codegen rule for target.
third_party/CMakeFiles/argon2_lib.dir/codegen:
	$(MAKE) $(MAKESILENT) -f third_party/CMakeFiles/argon2_lib.dir/build.make third_party/CMakeFiles/argon2_lib.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=1,2,3,4,5,6,7 "Finished codegen for target argon2_lib"
.PHONY : third_party/CMakeFiles/argon2_lib.dir/codegen

# clean rule for target.
third_party/CMakeFiles/argon2_lib.dir/clean:
	$(MAKE) $(MAKESILENT) -f third_party/CMakeFiles/argon2_lib.dir/build.make third_party/CMakeFiles/argon2_lib.dir/clean
.PHONY : third_party/CMakeFiles/argon2_lib.dir/clean

#=============================================================================
# Target rules for target shared/CMakeFiles/scarchat_shared.dir

# All Build rule for target.
shared/CMakeFiles/scarchat_shared.dir/all: third_party/CMakeFiles/argon2_lib.dir/all
shared/CMakeFiles/scarchat_shared.dir/all: shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/all
shared/CMakeFiles/scarchat_shared.dir/all: shared/CMakeFiles/scarchat_shared_autogen.dir/all
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared.dir/build.make shared/CMakeFiles/scarchat_shared.dir/depend
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared.dir/build.make shared/CMakeFiles/scarchat_shared.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=40,41,42,43,44,45 "Built target scarchat_shared"
.PHONY : shared/CMakeFiles/scarchat_shared.dir/all

# Build rule for subdir invocation for target.
shared/CMakeFiles/scarchat_shared.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 14
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 shared/CMakeFiles/scarchat_shared.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : shared/CMakeFiles/scarchat_shared.dir/rule

# Convenience name for target.
scarchat_shared: shared/CMakeFiles/scarchat_shared.dir/rule
.PHONY : scarchat_shared

# codegen rule for target.
shared/CMakeFiles/scarchat_shared.dir/codegen: shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared.dir/build.make shared/CMakeFiles/scarchat_shared.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=40,41,42,43,44,45 "Finished codegen for target scarchat_shared"
.PHONY : shared/CMakeFiles/scarchat_shared.dir/codegen

# clean rule for target.
shared/CMakeFiles/scarchat_shared.dir/clean:
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared.dir/build.make shared/CMakeFiles/scarchat_shared.dir/clean
.PHONY : shared/CMakeFiles/scarchat_shared.dir/clean

#=============================================================================
# Target rules for target shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir

# All Build rule for target.
shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/all: third_party/CMakeFiles/argon2_lib.dir/all
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/build.make shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/depend
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/build.make shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Built target scarchat_shared_autogen_timestamp_deps"
.PHONY : shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/all

# Build rule for subdir invocation for target.
shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 7
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/rule

# Convenience name for target.
scarchat_shared_autogen_timestamp_deps: shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/rule
.PHONY : scarchat_shared_autogen_timestamp_deps

# codegen rule for target.
shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/codegen:
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/build.make shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Finished codegen for target scarchat_shared_autogen_timestamp_deps"
.PHONY : shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/codegen

# clean rule for target.
shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/clean:
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/build.make shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/clean
.PHONY : shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/clean

#=============================================================================
# Target rules for target shared/CMakeFiles/scarchat_shared_autogen.dir

# All Build rule for target.
shared/CMakeFiles/scarchat_shared_autogen.dir/all: shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen.dir/build.make shared/CMakeFiles/scarchat_shared_autogen.dir/depend
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen.dir/build.make shared/CMakeFiles/scarchat_shared_autogen.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=46 "Built target scarchat_shared_autogen"
.PHONY : shared/CMakeFiles/scarchat_shared_autogen.dir/all

# Build rule for subdir invocation for target.
shared/CMakeFiles/scarchat_shared_autogen.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 8
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 shared/CMakeFiles/scarchat_shared_autogen.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : shared/CMakeFiles/scarchat_shared_autogen.dir/rule

# Convenience name for target.
scarchat_shared_autogen: shared/CMakeFiles/scarchat_shared_autogen.dir/rule
.PHONY : scarchat_shared_autogen

# codegen rule for target.
shared/CMakeFiles/scarchat_shared_autogen.dir/codegen: shared/CMakeFiles/scarchat_shared_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen.dir/build.make shared/CMakeFiles/scarchat_shared_autogen.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=46 "Finished codegen for target scarchat_shared_autogen"
.PHONY : shared/CMakeFiles/scarchat_shared_autogen.dir/codegen

# clean rule for target.
shared/CMakeFiles/scarchat_shared_autogen.dir/clean:
	$(MAKE) $(MAKESILENT) -f shared/CMakeFiles/scarchat_shared_autogen.dir/build.make shared/CMakeFiles/scarchat_shared_autogen.dir/clean
.PHONY : shared/CMakeFiles/scarchat_shared_autogen.dir/clean

#=============================================================================
# Target rules for target server/CMakeFiles/scarchat-server.dir

# All Build rule for target.
server/CMakeFiles/scarchat-server.dir/all: third_party/CMakeFiles/argon2_lib.dir/all
server/CMakeFiles/scarchat-server.dir/all: shared/CMakeFiles/scarchat_shared.dir/all
server/CMakeFiles/scarchat-server.dir/all: server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/all
server/CMakeFiles/scarchat-server.dir/all: server/CMakeFiles/scarchat-server_autogen.dir/all
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server.dir/build.make server/CMakeFiles/scarchat-server.dir/depend
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server.dir/build.make server/CMakeFiles/scarchat-server.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=30,31,32,33,34,35,36,37 "Built target scarchat-server"
.PHONY : server/CMakeFiles/scarchat-server.dir/all

# Build rule for subdir invocation for target.
server/CMakeFiles/scarchat-server.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 23
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 server/CMakeFiles/scarchat-server.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : server/CMakeFiles/scarchat-server.dir/rule

# Convenience name for target.
scarchat-server: server/CMakeFiles/scarchat-server.dir/rule
.PHONY : scarchat-server

# codegen rule for target.
server/CMakeFiles/scarchat-server.dir/codegen: server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server.dir/build.make server/CMakeFiles/scarchat-server.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=30,31,32,33,34,35,36,37 "Finished codegen for target scarchat-server"
.PHONY : server/CMakeFiles/scarchat-server.dir/codegen

# clean rule for target.
server/CMakeFiles/scarchat-server.dir/clean:
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server.dir/build.make server/CMakeFiles/scarchat-server.dir/clean
.PHONY : server/CMakeFiles/scarchat-server.dir/clean

#=============================================================================
# Target rules for target server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir

# All Build rule for target.
server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/all: shared/CMakeFiles/scarchat_shared.dir/all
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/build.make server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/depend
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/build.make server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Built target scarchat-server_autogen_timestamp_deps"
.PHONY : server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/all

# Build rule for subdir invocation for target.
server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 14
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/rule

# Convenience name for target.
scarchat-server_autogen_timestamp_deps: server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/rule
.PHONY : scarchat-server_autogen_timestamp_deps

# codegen rule for target.
server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/codegen:
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/build.make server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Finished codegen for target scarchat-server_autogen_timestamp_deps"
.PHONY : server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/codegen

# clean rule for target.
server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/clean:
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/build.make server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/clean
.PHONY : server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/clean

#=============================================================================
# Target rules for target server/CMakeFiles/scarchat-server_autogen.dir

# All Build rule for target.
server/CMakeFiles/scarchat-server_autogen.dir/all: server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen.dir/build.make server/CMakeFiles/scarchat-server_autogen.dir/depend
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen.dir/build.make server/CMakeFiles/scarchat-server_autogen.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=38 "Built target scarchat-server_autogen"
.PHONY : server/CMakeFiles/scarchat-server_autogen.dir/all

# Build rule for subdir invocation for target.
server/CMakeFiles/scarchat-server_autogen.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 15
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 server/CMakeFiles/scarchat-server_autogen.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : server/CMakeFiles/scarchat-server_autogen.dir/rule

# Convenience name for target.
scarchat-server_autogen: server/CMakeFiles/scarchat-server_autogen.dir/rule
.PHONY : scarchat-server_autogen

# codegen rule for target.
server/CMakeFiles/scarchat-server_autogen.dir/codegen: server/CMakeFiles/scarchat-server_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen.dir/build.make server/CMakeFiles/scarchat-server_autogen.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=38 "Finished codegen for target scarchat-server_autogen"
.PHONY : server/CMakeFiles/scarchat-server_autogen.dir/codegen

# clean rule for target.
server/CMakeFiles/scarchat-server_autogen.dir/clean:
	$(MAKE) $(MAKESILENT) -f server/CMakeFiles/scarchat-server_autogen.dir/build.make server/CMakeFiles/scarchat-server_autogen.dir/clean
.PHONY : server/CMakeFiles/scarchat-server_autogen.dir/clean

#=============================================================================
# Target rules for target client/CMakeFiles/scarchat.dir

# All Build rule for target.
client/CMakeFiles/scarchat.dir/all: third_party/CMakeFiles/argon2_lib.dir/all
client/CMakeFiles/scarchat.dir/all: shared/CMakeFiles/scarchat_shared.dir/all
client/CMakeFiles/scarchat.dir/all: client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/all
client/CMakeFiles/scarchat.dir/all: client/CMakeFiles/scarchat_autogen.dir/all
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat.dir/build.make client/CMakeFiles/scarchat.dir/depend
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat.dir/build.make client/CMakeFiles/scarchat.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29 "Built target scarchat"
.PHONY : client/CMakeFiles/scarchat.dir/all

# Build rule for subdir invocation for target.
client/CMakeFiles/scarchat.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 31
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/CMakeFiles/scarchat.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : client/CMakeFiles/scarchat.dir/rule

# Convenience name for target.
scarchat: client/CMakeFiles/scarchat.dir/rule
.PHONY : scarchat

# codegen rule for target.
client/CMakeFiles/scarchat.dir/codegen: client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/all
client/CMakeFiles/scarchat.dir/codegen: client/CMakeFiles/scarchat_autogen.dir/all
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat.dir/build.make client/CMakeFiles/scarchat.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29 "Finished codegen for target scarchat"
.PHONY : client/CMakeFiles/scarchat.dir/codegen

# clean rule for target.
client/CMakeFiles/scarchat.dir/clean:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat.dir/build.make client/CMakeFiles/scarchat.dir/clean
.PHONY : client/CMakeFiles/scarchat.dir/clean

#=============================================================================
# Target rules for target client/CMakeFiles/scarchat_autogen_timestamp_deps.dir

# All Build rule for target.
client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/all: shared/CMakeFiles/scarchat_shared.dir/all
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/build.make client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/depend
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/build.make client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Built target scarchat_autogen_timestamp_deps"
.PHONY : client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/all

# Build rule for subdir invocation for target.
client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 14
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/rule

# Convenience name for target.
scarchat_autogen_timestamp_deps: client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/rule
.PHONY : scarchat_autogen_timestamp_deps

# codegen rule for target.
client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/codegen:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/build.make client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Finished codegen for target scarchat_autogen_timestamp_deps"
.PHONY : client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/codegen

# clean rule for target.
client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/clean:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/build.make client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/clean
.PHONY : client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/clean

#=============================================================================
# Target rules for target client/CMakeFiles/scarchat_autogen.dir

# All Build rule for target.
client/CMakeFiles/scarchat_autogen.dir/all: client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen.dir/build.make client/CMakeFiles/scarchat_autogen.dir/depend
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen.dir/build.make client/CMakeFiles/scarchat_autogen.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=39 "Built target scarchat_autogen"
.PHONY : client/CMakeFiles/scarchat_autogen.dir/all

# Build rule for subdir invocation for target.
client/CMakeFiles/scarchat_autogen.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 15
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 client/CMakeFiles/scarchat_autogen.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : client/CMakeFiles/scarchat_autogen.dir/rule

# Convenience name for target.
scarchat_autogen: client/CMakeFiles/scarchat_autogen.dir/rule
.PHONY : scarchat_autogen

# codegen rule for target.
client/CMakeFiles/scarchat_autogen.dir/codegen: client/CMakeFiles/scarchat_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen.dir/build.make client/CMakeFiles/scarchat_autogen.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=39 "Finished codegen for target scarchat_autogen"
.PHONY : client/CMakeFiles/scarchat_autogen.dir/codegen

# clean rule for target.
client/CMakeFiles/scarchat_autogen.dir/clean:
	$(MAKE) $(MAKESILENT) -f client/CMakeFiles/scarchat_autogen.dir/build.make client/CMakeFiles/scarchat_autogen.dir/clean
.PHONY : client/CMakeFiles/scarchat_autogen.dir/clean

#=============================================================================
# Target rules for target dbmanager/CMakeFiles/dbmanager.dir

# All Build rule for target.
dbmanager/CMakeFiles/dbmanager.dir/all: third_party/CMakeFiles/argon2_lib.dir/all
dbmanager/CMakeFiles/dbmanager.dir/all: shared/CMakeFiles/scarchat_shared.dir/all
dbmanager/CMakeFiles/dbmanager.dir/all: dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/all
dbmanager/CMakeFiles/dbmanager.dir/all: dbmanager/CMakeFiles/dbmanager_autogen.dir/all
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/depend
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=8,9,10,11,12 "Built target dbmanager"
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/all

# Build rule for subdir invocation for target.
dbmanager/CMakeFiles/dbmanager.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 20
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/CMakeFiles/dbmanager.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/rule

# Convenience name for target.
dbmanager: dbmanager/CMakeFiles/dbmanager.dir/rule
.PHONY : dbmanager

# codegen rule for target.
dbmanager/CMakeFiles/dbmanager.dir/codegen: dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=8,9,10,11,12 "Finished codegen for target dbmanager"
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/codegen

# clean rule for target.
dbmanager/CMakeFiles/dbmanager.dir/clean:
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager.dir/build.make dbmanager/CMakeFiles/dbmanager.dir/clean
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/clean

#=============================================================================
# Target rules for target dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir

# All Build rule for target.
dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/all: shared/CMakeFiles/scarchat_shared.dir/all
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/depend
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Built target dbmanager_autogen_timestamp_deps"
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/all

# Build rule for subdir invocation for target.
dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 14
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/rule

# Convenience name for target.
dbmanager_autogen_timestamp_deps: dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/rule
.PHONY : dbmanager_autogen_timestamp_deps

# codegen rule for target.
dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/codegen:
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num= "Finished codegen for target dbmanager_autogen_timestamp_deps"
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/codegen

# clean rule for target.
dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/clean:
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/clean
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/clean

#=============================================================================
# Target rules for target dbmanager/CMakeFiles/dbmanager_autogen.dir

# All Build rule for target.
dbmanager/CMakeFiles/dbmanager_autogen.dir/all: dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen.dir/depend
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen.dir/build
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=13 "Built target dbmanager_autogen"
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen.dir/all

# Build rule for subdir invocation for target.
dbmanager/CMakeFiles/dbmanager_autogen.dir/rule: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 15
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 dbmanager/CMakeFiles/dbmanager_autogen.dir/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles 0
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen.dir/rule

# Convenience name for target.
dbmanager_autogen: dbmanager/CMakeFiles/dbmanager_autogen.dir/rule
.PHONY : dbmanager_autogen

# codegen rule for target.
dbmanager/CMakeFiles/dbmanager_autogen.dir/codegen: dbmanager/CMakeFiles/dbmanager_autogen_timestamp_deps.dir/all
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen.dir/codegen
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=13 "Finished codegen for target dbmanager_autogen"
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen.dir/codegen

# clean rule for target.
dbmanager/CMakeFiles/dbmanager_autogen.dir/clean:
	$(MAKE) $(MAKESILENT) -f dbmanager/CMakeFiles/dbmanager_autogen.dir/build.make dbmanager/CMakeFiles/dbmanager_autogen.dir/clean
.PHONY : dbmanager/CMakeFiles/dbmanager_autogen.dir/clean

#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

